﻿@using SiteGuide.Service.Helpers
@model SitesIndexAreaViewModel

@{
    ViewData["Title"] = "Sites Index";
}

<script src="~/js/siteIndex.js"></script>

@if (Permissions.MayAddNewSite(User))
{
    <div style="float:right">
        <button type="button" class="btn btn-outline-primary" onclick="location.href='/Sites/Create'">Add Site</button>
    </div>
}

<h1>Index of Sites</h1>

<form id="searchForm" name="search" onsubmit="return ShowSearchResult()">
    <p id="searchBar" style="">
        Find:
        <input id="searchString" name="q" type="text" onkeyup="filter(this.value)" onblur="filter(this.value)">
        <input id="searchSubmit" type="submit" value="Show" style="display: none"><span id="searchHitsCount">[TODO] sites</span>
    </p>
</form>

<table class="table table-sm highlight-row linkify" id="areas">
    <thead>
        <tr>
            <th>
                Area
            </th>
            <th class="text-right">
                Open sites
            </th>
            <th class="text-right">
                Closed sites
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var area in Model.Areas)
        {
            <partial name="_AreaRow" model="area" />
        }
    </tbody>
</table>

<table class="table highlight-row linkify" id="sites">
    <tbody>
        @foreach (var area in Model.Areas)
        {
            <partial name="_AreaSiteRows" model="area" />
        }
    </tbody>
</table>
